Bug#549684: gnome-keyring: hangs if asked to store non-ASCII characters

Petr Baudis pasky at ucw.cz
Mon Oct 5 15:26:12 UTC 2009

Package: gnome-keyring
Version: 2.22.3-2
Severity: important

If gnome-screensaver locks the screen and a typo is made in the
password, introducing a character with diacritics,
gnome-screensaver-dialog then hangs indefinitely in read() on a socket
to gnome-keyring, waiting for a reply that never comes. If there is no
diacritics character in the password, the invalid password case is
handled normally.

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.27-kamdesktop (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=cs_CZ.ISO-8859-2 (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-keyring depends on:
ii  gconf2                  2.22.0-1         GNOME configuration database syste
ii  libatk1.0-0             1.22.0-1         The ATK accessibility toolkit
ii  libc6                   2.7-18           GNU C Library: Shared libraries
ii  libcairo2               1.6.4-7          The Cairo 2D vector graphics libra
ii  libdbus-1-3             1.2.1-5+lenny1   simple interprocess messaging syst
ii  libgconf2-4             2.22.0-1         GNOME configuration database syste
ii  libgcrypt11             1.4.1-1          LGPL Crypto library - runtime libr
ii  libglib2.0-0            2.16.6-2         The GLib library of C routines
ii  libgtk2.0-0             2.12.12-1~lenny1 The GTK+ graphical user interface 
ii  libhal-storage1         0.5.11-8         Hardware Abstraction Layer - share
ii  libhal1                 0.5.11-8         Hardware Abstraction Layer - share
ii  libpango1.0-0           1.20.5-5         Layout and rendering of internatio
ii  libtasn1-3              1.4-1            Manage ASN.1 structures (runtime)

Versions of packages gnome-keyring recommends:
ii  libpam-gnome-keyring          2.22.3-2   PAM module to unlock the GNOME key

gnome-keyring suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list